Offer account
Reads the account from Solana and returns it decoded, as { viewSlot, account }. account is null when the account doesn't exist.
Authorization
ApiKeyAuth x-api-key<token>
In: header
Path Parameters
address*string
Offer account address (base58). A PDA of the MallowMarket program, derived from seeds ["offer", buyer, asset].
Length
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v2/accounts/market/offer/string"{ "result": { "viewSlot": 0, "account": { "accountType": "offer", "bump": 0, "version": 0, "marketplaceAuthority": "string", "offerType": 0, "buyer": "string", "asset": "string", "currencyMint": "string", "price": "string", "endTime": 0, "offeredAt": 0, "oneOfOneOnly": true, "tokenStandard": 0, "pubkey": "string", "program": "mallow-market" } }}Listing account GET
Reads the account from Solana and returns it decoded, as { viewSlot, account }. account is null when the account doesn't exist.
Buy edition history account GET
Reads the account from Solana and returns it decoded, as { viewSlot, account }. account is null when the account doesn't exist.